BizKitHub
DocsAPI ReferenceProduct Category/bff/product-category/category-update-seo
postProduct CategoryAdmin BFF

/bff/product-category/category-update-seo

Updates meta_title, meta_description, canonical_url, noindex and og:image. Empty strings reset to NULL.

Product CategorypostBffProduct-categoryCategory-update-seo

Parameters

JSON body

Request body

application/json
codestringRequired
metaTitlestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
metaDescriptionstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
canonicalUrlstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
noindexbooleanOptional
ogImageBlobTokenstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/product-category/category-update-seo

post
curl -X POST "https://api.bizkithub.com/bff/product-category/category-update-seo" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "code": "example_code",
  "noindex": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key